#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[LECTURE VIDEO AUDIO 2 CD 2]

PlayB2()
{
xine -a 1 -pfhq$ASPECTRATIO "$Movie2" -P /tmp/xchaman.tmp/playxine_b2.tox
}
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[GNRATION FICHIER TOX]

echo "# toxine playlist

entry {
	identifier = Video Audio 2 cd 2;
	mrl = $Movie2;
	subtitle = $Sub2_cd2;
	start = 0;
	end = -1;
};
#END" > /tmp/xchaman.tmp/playxine_b2.tox

if [ -e $cd2/"$Directory2"/"$Movie2" ]
then
	cd $cd2/"$Directory2"
	PlayB2
	rm -f /tmp/xchaman.tmp/*
elif [ -e $cd1/"$Directory2"/"$Movie2" ]
then
	cd $cd1/"$Directory2"
	PlayB2
	rm -f /tmp/xchaman.tmp/*
else
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject $cd2
		else
			eject $cd1
		fi
	fi
DIALOG=Xdialog

$DIALOG --title "$CALL_CD2_TITLE" \
	--icon /usr/local/XChaMan-$XCM_VERSION/data/cdrom.xpm \
        --yesno "$CALL_CD2_MESSAGE" 200x100

case $? in
  0)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			if [ ! `grep "$cd2" /etc/mtab` ]
			then
				mount $cd2
			else
				eject -t $cd2
			fi
		else
			if [ ! `grep "$cd1 " /etc/mtab` ]
			then
				mount $cd1
			else
				eject -t $cd1
			fi
		fi
	fi
	exec /usr/local/XChaMan-$XCM_VERSION/data/playxine_b2.sh ;;
  1)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	rm -f /tmp/xchaman.tmp/* ;;
  255)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
 	rm -f /tmp/xchaman.tmp/* ;;
esac
fi
