#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[PARAMTRAGE FICHIER TOX]

if [ ! "`grep ^Time$Chap= /tmp/xchaman.tmp/param`" ]
then
	if [ "`grep ^STime$Chap= /tmp/xchaman.tmp/param | cut -f 2 -d "=" | sed 's/"//g' | grep ":"`" ]
	then
		export Time=`grep ^STime$Chap= /tmp/xchaman.tmp/param | cut -f 2 -d "=" | sed 's/"//g; s/:/ /g' | awk '{hs=$1*3600; ms=$2*60; total=hs+ms+$3; print total}'`
	else
		export Time=`grep ^STime$Chap= /tmp/xchaman.tmp/param | cut -f 2 -d "=" | sed 's/"//g'`
	fi
	Pos="2"
	export IDENTIFIER=`grep ^SChap$Chap= /tmp/xchaman.tmp/param | cut -f 2 -d "\""`
	export SUBTITLES=`grep ^Sub$(($AUDIOLANG + 1))_cd2= /tmp/xchaman.tmp/param | cut -f 2 -d "\""`
else

	if [ "`grep ^Time$Chap= /tmp/xchaman.tmp/param | cut -f 2 -d "=" | cut -f 1 -d " " | sed 's/"//g' | grep ":"`" ]
	then
		Time=`grep ^Time$Chap= /tmp/xchaman.tmp/param | cut -f 2 -d "=" | cut -f 1 -d " " | sed 's/"//g; s/:/ /g' | awk '{hs=$1*3600; ms=$2*60; total=hs+ms+$3; print total}'`
	else
		Time=`grep ^Time$Chap= /tmp/xchaman.tmp/param | cut -f 2 -d "=" | cut -f 1 -d " " | sed 's/"//g'`
	fi
	Pos="1"
	IDENTIFIER=`grep Chap$Chap= /tmp/xchaman.tmp/param | cut -f 4 -d "\""`
	SUBTITLES=`grep ^Sub$(($AUDIOLANG + 1))_cd1= /tmp/xchaman.tmp/param | cut -f 2 -d "\""`
fi

#[GNRATION FICHIER TOX]

echo "# toxine playlist

entry {
	identifier = $IDENTIFIER;
	mrl = $Movie;
	subtitle = $SUBTITLES;
	start = $Time;
	end = -1;
};
#END" > /tmp/xchaman.tmp/chapters.tox

if [ "$Pos" = "1" ] && [ ! "$Movie2" ]
then
	if [ -e $DIRNAME/"$Directory"/"$Movie" ]
	then
		cd $DIRNAME/"$Directory"
	elif [ -e $cd1/"$Directory"/"$Movie" ]
	then
		cd $cd1/"$Directory"
	elif [ -e $cd2/"$Directory"/"$Movie" ]
	then
		cd $cd2/"$Directory"
	fi
	xine  -a $AUDIOLANG -pfhq$ASPECTRATIO -P  /tmp/xchaman.tmp/chapters.tox
	/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh
elif [ "$Pos" = "1" ] && [ "$Movie2" ]
then
	if [ -e $DIRNAME/"$Directory"/"$Movie" ]
	then
		cd $DIRNAME/"$Directory"
		xine  -a $AUDIOLANG -pfhq$ASPECTRATIO -P  /tmp/xchaman.tmp/chapters.tox
		/usr/local/XChaMan-$XCM_VERSION/data/playxine_cd2.sh
	elif [ -e $cd1/"$Directory"/"$Movie" ]
	then
		cd $cd1/"$Directory"
		xine  -a $AUDIOLANG -pfhq$ASPECTRATIO -P  /tmp/xchaman.tmp/chapters.tox
		/usr/local/XChaMan-$XCM_VERSION/data/playxine_cd2.sh
	elif [ -e "$Movie" ]
	then
		xine  -a $AUDIOLANG -pfhq$ASPECTRATIO -P  /tmp/xchaman.tmp/chapters.tox
		/usr/local/XChaMan-$XCM_VERSION/data/playxine_cd2.sh
	elif [ -e $POSITION/"$Directory"/"$Movie" ]
	then
		cd $POSITION/"$Directory"
		xine  -a $AUDIOLANG -pfhq$ASPECTRATIO -P  /tmp/xchaman.tmp/chapters.tox
		/usr/local/XChaMan-$XCM_VERSION/data/playxine_cd2.sh
	else
		if [ "$cd1" != "$cd2" ]
		then
			if [ -e $cd2/"$Directory2"/"$Movie2" ]
			then
				eject $cd1
			else
				eject $cd2
			fi
		fi
	DIALOG=Xdialog

$DIALOG --title "$CALL_CD1_TITLE" \
	--icon /usr/local/XChaMan-$XCM_VERSION/data/cdrom.xpm \
	--yesno "$CALL_CD1_MESSAGE" 200x100

case $? in
	0)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd2/"$Directory2"/"$Movie2" ]
		then
			if [ ! `grep "$cd1 " /etc/mtab` ]
			then
				eject -t $cd1
				mount $cd1
			else
				eject -t $cd1
			fi
		else
			if [ ! `grep "$cd2" /etc/mtab` ]
			then
				eject -t $cd2
				mount $cd2
			else
				eject -t $cd2
			fi
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/playxine_cd1.sh ;;
	1)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd2/"$Directory2"/"$Movie2" ]
		then
			eject -t $cd1
		else
			eject -t $cd2
		fi
	fi
	/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh ;;
	255)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd2/"$Directory2"/"$Movie2" ]
		then
			eject -t $cd1
		else
			eject -t $cd2
		fi
	fi
	rm -f /tmp/xchaman.tmp/* ;;
esac
	fi
elif [ "$Pos" = "2" ] && [ "$Movie2" ]
then
	/usr/local/XChaMan-$XCM_VERSION/data/playxine_cd2pos.sh
fi
